dofile("scripts/entities/entityinclude.lua")

n = 0

function init(me)
	node_setCursorActivation(me, true)
	n = getNaija()
end
	
function activate(me)
--[[
	if isFlag(FLAG_NAIJA_MEMORYCRYSTAL, 0) then
		voice("naija_memorycrystal")
		setFlag(FLAG_NAIJA_MEMORYCRYSTAL, 1)
	end
	]]--
	--pause()	
	savePoint(me)
	--unpause()
end

function update(me, dt)
	if node_isEntityIn(me, n) then
		if node_isFlag(me, 0) then
			pickupGem("savepoint")
			node_setFlag(me, 1)
		end
	end
end
